/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: r7k_altcpu.S,v 1.1 2002/12/02 19:07:48 rick Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	12/2/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <sys/mips.h>

#ifdef __long64
#define _VECT_  .dword
#else
#define _VECT_  .word
#endif

	.data

/*
 * Initial start addresses for secondary CPUs
 */

        .globl cpu_startvectors
cpu_startvectors:
        _VECT_  0           # cpu #0 (not used)
        _VECT_  0           # cpu #1
        _VECT_  0           # cpu #2
        _VECT_  0           # cpu #3

/*
 * Initial values for SP, GP, and A1 (user argument)
 */

cpu_start_spvals:
        _VECT_  0           # cpu #0 (not used)
        _VECT_  0           # cpu #1
        _VECT_  0           # cpu #2
        _VECT_  0           # cpu #3

cpu_start_gpvals:
        _VECT_  0           # cpu #0 (not used)
        _VECT_  0           # cpu #1
        _VECT_  0           # cpu #2
        _VECT_  0           # cpu #3

cpu_start_args:
        _VECT_  0           # cpu #0 (not used)
        _VECT_  0           # cpu #1
        _VECT_  0           # cpu #2
        _VECT_  0           # cpu #3

