
var mainFrame="mainPage";
var expTreeLevel = 0;//define root node as level one
var myNodeList;
// *****************************
// Node 0 = opens in right frame
// Node 1 = opens in new window
// *****************************

// *****************************
// Generate Data
// *****************************
// Folder Node: any node who has  child/Sub-Folder
// Leaf Node: node who has no child and sub-folder.


// *****************************
// Auxiliary function to create the node
// *****************************
function folderNode(name, icon, link)
{
	var arrayAux;
        arrayAux = new Array;
        arrayAux[0] = 0;
        arrayAux[1] = 0;
        arrayAux[2] = 0;//different type of node: type=0-folder, 1-leaf
        arrayAux[3] = name;
	//new data here
        if( link != null ){
	 arrayAux[4] = generateFolderEntry(icon, name, link);
	}else{
         arrayAux[4] = name;
        }

        return arrayAux;
}

// *****************************
// Auxiliary function to create the node
// *****************************
function leafNode(name, icon, link)
{
	var arrayAux;
        arrayAux = new Array;
        arrayAux[0] = 0;
        arrayAux[1] = 0;
        arrayAux[2] = 1;
        arrayAux[3] = name;
        arrayAux[4] = generateDocEntry(icon, name,link);

        return arrayAux;
}



function appendChild(parent, child)
{
        parent[parent.length] = child;
        return child;
}

function generateFolderEntry(icon, docDescription, link)
{
	var retString ="";
	if(icon==0){
	    retString = "<A href='"+link+"' target="+mainFrame+">"+docDescription+"</a>";
	}

        return retString;

}


function generateDocEntry(icon, docDescription, link)
{
	var retString =""

        if (icon==0){
//               retString = link;
	  	retString = "<A href='"+link+"' target="+mainFrame+"><img src=/AgileView/images/doc.gif width=24 height=22 border=noborder></a>";
        }
	else{
		retString = "<A href='"+link+"' target="+mainFrame+"><img src=/AgileView/images/link.gif width=24 height=22 border=noborder></a>";
	}

        return retString;

}


// *****************************
// Display functions
// *****************************

function redrawTree()
{
	//var doc = top.menuFrame.window.document;
        //var doc = top.L1MainWin.menuPage.menuFrame.window.document;
	var doc = menuFrame.window.document;
        //doc.open("text/html","replace");
        doc.clear();
//        doc.write("<body bgcolor='#008000' link='white' vlink='white' alink='white'>");
        doc.write("<body background='/AgileView/images/leftframe_bg.gif' bgcolor='#FFFFFF' text='white' link='white' vlink='white' alink='white'");
//        doc.write("<body bgcolor='lightyellow' ");
        redrawNode(foldersTree, doc, 0, 1, "");
        doc.close();
}

function redrawNode(foldersNode, doc, level, lastNode, leftSide)
{//left side controls the lines of tree

	var j=0;
	var i=0;

        doc.write("<table border=0 cellspacing=0 cellpadding=0 >");
        doc.write("<tr><td valign = middle nowrap>");

        doc.write(leftSide);

        if (level>0){
                if (lastNode == 1) //the last 'brother' in the children array
                {
                        doc.write("<img src='/AgileView/images/lastnode.gif' width=16 height=22>");
                        leftSide = leftSide + "<img src='/AgileView/images/blank.gif' width=16 height=22>";
                }
                else
                {
                        doc.write("<img src='/AgileView/images/node.gif' width=16 height=22>");
                        leftSide = leftSide + "<img src='/AgileView/images/vertline.gif' width=16 height=22>";
                }
	}

        displayIconAndLabel(foldersNode, doc, leftSide);
        doc.write("</table>")

        if (foldersNode.length > 5 && foldersNode[0] == 1) //there are sub-nodes and the folder is open
        {
                        level=level+1;
                        for (i=5; i<foldersNode.length;i++){
                                	if (i==foldersNode.length-1){
                                        redrawNode(foldersNode[i], doc, level, 1, leftSide);
                                	}else{
                                        redrawNode(foldersNode[i], doc, level, 0, leftSide);
							}
				}//for

        }
}


// *****************************
// Creates the html code to display a folder and its label
// *****************************
function displayIconAndLabel(foldersNode, doc, leftSide)
{
	//if( !foldersNode[2] ){//it is folder
        if( foldersNode[2]==0 ){//it is folder
        	// doc.write("<A href='javascript:top.openBranch(\"" + foldersNode[3] + "\")'><img src=")
		doc.write("<A href='javascript:parent.openBranch(\"" + foldersNode[3] + "\")'><img src=")
	        //doc.write("<A href='javascript:top.L1MainWin.openBranch(\"" + foldersNode[3] + "\")'><img src=")
               	//if (foldersNode[1]){
                if (foldersNode[1]==1){
      				doc.write("/AgileView/images/minus.gif width=24 height=22 border=noborder></a>");
        	}else{
       				doc.write("/AgileView/images/plus.gif width=24 height=22 border=noborder></a>");
		}
        	doc.write("<td valign=middle align=left nowrap>");
       		doc.write("<font size=-1 face='Arial, Helvetica'>");//fix font size here
                //*********************change font size only for demo
                //doc.write("<font size=6>");
                //*****************************
		doc.write(foldersNode[4]+"</font>");//if no link, it is name, otherwise it is link

	}
	else{//it is a leaf

		doc.write(foldersNode[4]);
 		doc.write("<td valign=middle align=left nowrap>");
     		doc.write("<font size=-1 face='Arial, Helvetica'>"+foldersNode[3]+"</font>");//fix font size here
                //*********************change font size only for demo
                //doc.write("<font size=6>"+foldersNode[3]+"</font>");
                //*****************************

	}

}

// *****************************
// Recursive functions
// *****************************

//when a parent is closed all children also are
function closeFolders(foldersNode)
{
	var i=0

        //if (!foldersNode[2])
        if (foldersNode[2]==0)
        {
                for (i=4; i< foldersNode.length; i++)
                        closeFolders(foldersNode[i])

        }
        foldersNode[0] = 0;
        foldersNode[1] = 0;
}

//recursive over the tree structure
//called by openbranch
function clickOnFolderRec(foldersNode, folderName)
{
	var i=0;

        if (foldersNode[3] == folderName)
        {
                //if (foldersNode[0])
                if (foldersNode[0] == 1){
                        closeFolders(foldersNode)
                }else
                {
                        foldersNode[0] = 1;
                        foldersNode[1] = 1;
                }
        }
        else
        {
                //if (!foldersNode[2]){
                if (foldersNode[2]==0){
                        for (i=4; i< foldersNode.length; i++)
                                clickOnFolderRec(foldersNode[i], folderName)
		}
        }
}


//recursively set up tree expanding to some level
//we may add tree-path (node's Full Name) to control expanding in the future because we know the each node's Full Name
//like VolumeName.Volumes.SubDomainName.SubDomains.DomainName.Domains, thus we can make tree re-stored to the old position.
function setupTree0(current, nodeSize, treeNodes){
  if( nodeSize < 1 ){//define root node as level=1
      return;
  }

  treeNodes[0]=1; //expand
  treeNodes[1]=1; //expand

  if( (current < nodeSize) && (treeNodes.length > 5) ){
      current=current+1;
      for(var i = 5; i < treeNodes.length; i++){
          setupTree0(current, nodeSize, treeNodes[i]);
      }
  }
}


function setupTree1(current, nodeSize, treeNodes){
  if( nodeSize < 1  ){
      return;
  }
  var nodeName = myNodeList[current];

  if( treeNodes[3] == nodeName ){//comments out that line, all node on that level will be expanded
      treeNodes[0]=1; //expand
      treeNodes[1]=1; //expand
  }
  if( (current < nodeSize) && (treeNodes.length > 5) ){
      current=current+1;
      for(var i = 5; i < treeNodes.length; i++){
          setupTree1(current, nodeSize, treeNodes[i]);
      }
  }
}


// *****************************
// Event handlers
// *****************************

//called when the user clicks on a folder
//one can also modify to handle linking different pages or create different function
function openBranch(branchName)
{
        clickOnFolderRec(foldersTree, branchName);

            if (branchName=="Start folder" && foldersTree[0]==0){
                    //top.mainFrame.location="L1DomMain.jsp";
                    top.mainFrame.location= thisLocation;
            }

        timeOutId = setTimeout("redrawTree()",100);
}




