/*  File Name  :    agilebanner.c
 *
 *  Description:    HTTPD action functions for displaying menu.
 *
 *  Created    :    3/28/2002
 *
 *  Author     :    Tiffany Chiang
 *
 *  Copyright(c)  Agile Storage, Inc. 2001
 *
 */

#include <stdio.h>
#include <sys/types.h>
#include <unistd.h>
#include <anpssc-api.h>

#include "agilepost.h"
#include "agileutil.h"
#include "../agent/httpdagent.h"


/***********************************************************
 * routines to retrieve system information 
 **********************************************************/

static void GetMenuFile(char* file)
{
	int res;
//	res = IsXyratexAttached();
res=0;
	if (res == 1)
		strcpy(file, "MenuXyr.html");
	else
		strcpy(file, "Menu.html");
}


/***********************************************************
 *  Main routines to process tags
 **********************************************************/

static int getTagValue(char *tag, char *value)
{
	return 1;
}


/*
 * actRptTagFunc()
 *	tag   - tag name
 *	value - replacement string for tag
 */
static int actRptTagFunc(tagCallbackParams_t *tp)
{
char *tag = tp->tag;
char *value = tp->value;

	return getTagValue(tag, value);
}

int actionMenu(void *r)
{
	char newfname[128];

	memset(newfname, 0, sizeof(newfname));
	GetMenuFile(newfname);

	prepare_agile_template(r, newfname);

	agile_scan_and_send(r, actRptTagFunc);

	return 1;
}
