/*
 *  Interfaces MIB group interface - interfaces.h
 *
 */
#ifndef _IPIFHELP_H_
#define _IPIFHELP_H_

struct in_ifaddr;
struct ifnet;

int IpInterface_Get_IP(uint32_t ipaddr, int *slot, int *physical_port);
int IpInterface_Get_Next_IP(uint32_t *ipaddr, int *slot, int *physical_port);
int Interface_Scan_By_Index (int, char *, struct ifnet *, struct in_ifaddr *);
int Interface_Get_Ether_By_Index (int, u_char *);
int IpInterface_Get_GbE_Slot(int *slot, int *size, int *need);

int Interface_Index_By_Name (char *, int);
void Interface_Scan_Init (void);
int Interface_Scan_Next (short *, char *, struct ifnet *, struct in_ifaddr *);

#endif
