/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Copyright (C) 2002, Agile Storage Inc.
 * 
 * RCS:  $Id: cifs-rpc-ed-sec.h,v 1.3 2002/12/10 18:22:27 laurentb Exp $
 * 
 * Name			: cifs-rpc-ed-sec.c
 *
 * Description	: CIFS DCE/RPC security encode & decode functions. 
 *
 * Created by	: Laurent Brard
 *
 * Date Created	: 01/22/2002
 *
 *-----------------------------------------------------------------
 */

#ifndef _CIFS_RPC_ED_SEC_H
#define _CIFS_RPC_ED_SEC_H


int32	//NFX_OK or NFX_ERR
cifsrpcEDsid(cifsrpc_ed *edp, sec_cifsSid *sidp, char *label, uchar8 lv);


int32   //NFX_OK or NFX_ERR
cifsrpcEDrpcSid(cifsrpc_ed *edp, cifsrpc_sid *sidp, char *label, uchar8 lv);

		
int32	//NFX_OK or NFX_ERR
cifsrpcEDace(cifsrpc_ed *edp, sec_cifsAce *acep, uchar8 index, uchar8 lv);


int32	//NFX_OK or NFX_ERR
cifsrpcEDacl(cifsrpc_ed *edp, sec_cifsAcl *aclp, char *label, uchar8 lv);


int32	//NFX_OK or NFX_ERR
cifsrpcEDsecDesc(cifsrpc_ed *edp, sec_cifsSd *sdp, char *label, uchar8 lv);


int32	//NFX_OK or NFX_ERR
cifsrpcEDsdBuf(cifsrpc_ed *edp, sec_cifsSdBuf *sdbp, char *label, uchar8 lv);


#endif	//#ifndef _CIFS_RPC_ED_SEC_H
