/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * RCS:  $Id: testcifs.h,v 1.1.1.1 2002/04/23 17:41:16 laurentb Exp $
 *
 * Name			: testcifs.c
 *
 * Description	: Contains CIFS test functions.
 *
 * Created by	: Laurent Brard
 *
 * Date Created	: 11/17/2001
 *
 *-----------------------------------------------------------------
 */


int32   //NFX_OK or NFX_ERR
cifstest_init(void);

void cifstest_createSession(void);
	
void cifstest_negociate(void);

void cifstest_sessionSetup1(void);

void cifstest_sessionSetup2(void);

void cifstest_sessionSetup3(void);

void cifstest_treeConnectNX1(void);

void cifstest_closePipe(void);

void cifstest_echo(void);

void cifstest_createNX(void);

void cifstest_rpcBind(void);

void cifstest_netrShareEnum(void);

void cifstest_netrShareEnum2(void);

void cifstest_netrShareEnumSticky2(void);

void cifstest_netrShareGetInfo2(void);

void cifstest_netrShareGetInfo502(void);

void cifstest_netrShareSetInfo2(void);

void cifstest_netrShareSetInfo1501(void);

void cifstest_netrShareAdd(void);

void cifstest_netrShareDel(void);
		
void cifstest_netrServerGetInfo101(void);

void cifstest_netrServerGetInfo102(void);

void cifstest_netrServerSetInfo102(void);

void cifstest_netrFileEnum(void);

void cifstest_netrSessionEnum(void);

void cifstest_wkssvcQueryInfo100(void);

void cifstest_rapNetShareEnum(void);

void cifstest_rapNetShareGetInfo(void);

void cifstest_rapNetServerGetInfo(void);

// The UNICODE and UTF-8 strings used in the test are examples in rfc2279.
void cifstest_uni2utf8();

void cifstest_utf82uni();

void cifstest_uniAndUtf8();

void cifstest_t2SetOpp(cifs_operation *opp);

void cifstest_t2FindFirstReq();

void cifstest_t2FindFirstRsp();

void cifstest_t2FindNextReq();

void cifstest_t2FindNextRsp();

void cifstest_t2FindClose();

void cifstest_t2QueryFilesystemInfo();

void cifstest_t2QueryPathInfo();

void cifstest_t2QueryFileInfo();

void cifstest_t2SetPathInfo();

void cifstest_t2SetFileInfo();


//************************ File ops testing **********************************
void cifstest_mkdir();

void cifstest_checkPath();

void cifstest_rmdir();

void cifstest_NTCreateNX();

void cifstest_openDir();

void cifstest_openFromDirHandle();

void cifstest_openNX();

void cifstest_closeFile();

void cifstest_readNXFile();

void cifstest_writeNXFile();

void cifstest_writeFile();

void cifstest_deleteFile();



