/*
 *-----------------------------------------------------------------
 *
 * Name:	dp-proxy-ui.c
 *
 * RCS:  $Id: dp-proxy-ui.c,v 1.3 2002/03/11 18:47:37 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	12/10/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <exports/eee-api.h>
#include "dp-proxy.h"

/*-----------------------------------------------------------------
 * Name:	dp_proxy_ui()
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	12/10/01
 *
 *-----------------------------------------------------------------
 */
void
dp_proxy_ui()
{
	printf("Data Plane Proxy:\n");
	printf("    RQ start    = %p\n", dpp_rq_start);
	printf("    RQ end      = %p\n", dpp_rq_end);
	printf("    RQ curr     = %p\n", dpp_rq_curr);

	printf("    RXDQ start  = %p\n", dpp_rxdq_start);
	printf("    RXDQ end    = %p\n", dpp_rxdq_end);
	printf("    RXDQ curr   = %p\n", dpp_rxdq_curr);

	printf("    Packets TX  = 0x%x\n", dpp_stats.tx);
	printf("    Packets RX  = 0x%x\n", dpp_stats.rx);
	printf("    RQ Resupply = 0x%x\n", dpp_stats.rq_replenish);
	printf("    No Buffer Error = 0x%x\n", dpp_stats.no_buf);
	printf("    Bad Someth  = 0x%x\n", dpp_stats.badbuforsomething);

}	/* dp_proxy_ui() */

