// vi:ts=4

#include "nfx-defs.h"
#include "exports/anpssc-api.h"
#include "event-api.h"

extern int
main()
{
	nfx_eventMsg_t evtmsg;

	evtmsg.msgType = NFX_EVENT_POST;
	strcpy (evtmsg.nodeName, "WhoCares");
	evtmsg.needAck = 0;
	evtmsg.eventType = NFX_EVENT_CARD;
	strcpy (evtmsg.reason, "Card bit the big one");

	evtmsg.param.cardEvent.slot = 1;
	evtmsg.param.cardEvent.cardType = 2;
	evtmsg.param.cardEvent.state = EVENT_STATE_UP;

	sendAgileMsg (-1, &evtmsg, sizeof(evtmsg),
	              "eventd", NFX_SSC_UNIX, SSC_SLOT, MGMTPLANE,
	              NULL, NULL, 0);

	evtmsg.msgType = NFX_EVENT_POST;
	strcpy (evtmsg.nodeName, "WhoCares");
	evtmsg.needAck = 0;
	evtmsg.eventType = NFX_EVENT_CPU;
	evtmsg.reason[0] = '\000';

	evtmsg.param.cardEvent.slot = 1;
	evtmsg.param.cardEvent.cardType = 2;
	evtmsg.param.cardEvent.state = EVENT_STATE_UP;

	sendAgileMsg (-1, &evtmsg, sizeof(evtmsg),
	              "eventd", NFX_SSC_UNIX, SSC_SLOT, MGMTPLANE,
	              NULL, NULL, 0);
	return 0;
}
