/*
 *------------------------------------------------------------------------------
 *
 * Name:	ispfc_scsi_tmo.h
 *
 * RCS:		$Id: ispfc_scsi_tmo.h,v 1.3 2001/07/17 18:42:21 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	QLogic 2300 FC HAL driver SCSI task management operation
 *              definitions
 *
 * Created by:	Radek Aster
 *
 * Date Created: 6/5/01
 *
 *------------------------------------------------------------------------------
 */

#ifndef __ISPFC_SCSI_TMO_H__
#define __ISPFC_SCSI_TMO_H__

int32 ispfc_scsi_task_mgmt_send(scsi_task_mgmt_t *); 
int32 ispfc_scsi_task_mgmt_dispatch(ispfc_cb_t *, ispfc_dev_t *, scsi_task_mgmt_t *);

#endif
