/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: jmptbl.S,v 1.14 2002/11/20 23:48:42 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	2/20/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

#ifndef PROM

#include <sys/mips.h>
#include <exports/jmptbl-api.h>

#define JMPTBL_FUNC(n,m)		\
LEAF(m);						\
	li	t0,JMPTBL_BASE+(4*n);	\
	lw	t0,(t0);				\
	j	t0;						\
	j	ra;						\
END(m)

#define JMPTBL_ADDR(n,m)		\
LEAF(m);						\
	li	t0,JMPTBL_BASE+(4*n);	\
	lw	v0,(t0);				\
	j	ra;						\
END(m)

#define JMPTBL_VAR(n,m)			\
LEAF(m);						\
	li	t0,JMPTBL_BASE+(4*n);	\
	lw	t0,(t0);				\
	bne	t0,zero,1f;				\
	move	v0,zero;			\
	b	2f;						\
1:	lw	v0,(t0);				\
2:	j	ra;						\
END(m)

#ifndef SSC_MGMT
	JMPTBL_FUNC(0, cliexit)
	JMPTBL_FUNC(1, prom_onintr)
	JMPTBL_ADDR(2, getPromImageVerString)
	JMPTBL_ADDR(3, get_rcon_flag_addr)
	JMPTBL_FUNC(4, get_pending_crashdump)
	JMPTBL_FUNC(5, set_nmi_exception_handler)
	JMPTBL_FUNC(6, get_wd_state)
	JMPTBL_FUNC(7, get_memorysize)
	JMPTBL_VAR( 8, get_busclock_mhz)
	JMPTBL_ADDR(9, get_incoming_appid_addr)
	JMPTBL_VAR(10, gethostid)
	JMPTBL_ADDR(11, get_cpu_startvectors_addr)
#else
	JMPTBL_ADDR(0, getPromImageVerString)
	JMPTBL_FUNC(1, get_memorysize)
#endif

#endif
