/*
 *------------------------------------------------------------------------------
 *
 * Name:	ndmp_debug.c
 *
 * RCS:		$Id: ndmp-debug.c,v 1.9 2002/12/04 22:40:36 nitinj Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	Ndmp debug code
 *
 * Created by:	Anh Vu
 *
 * Date Created: 02/18/02
 *
 *------------------------------------------------------------------------------
 */
#include "ndmp-debug.h"


int ndmp_dbg_level = 0;
int ndmp_perf_meas = 0;
int ndmp_loop_bk = 0;
int ndmp_trace_msg = 1; /*
                         * Trace message is inherited by all children.
                         * We will not try to activate new trace messages
                         * for sessions in progress.
                         */
int ndmp_trace_files = 1; /* log files for the latest ndmp_trace_files days 
							 to retain in system */

int ndmp_restore_mode = 0; /*
                            * Restore mode is set to full path default.
                            * This mode is used while restoring file list.
                            * Its results will be profound on partial restore
                            * and backup.
                            */
#ifdef SSC
int ndmp_ssc_malloc = 0;
int ndmp_ssc_free = 0;
#endif

