/*
 *-----------------------------------------------------------------
 *
 * Name:	queue-error.h
 *
 * RCS:  $Id: queue-error.h,v 1.1.1.1 2001/07/04 00:19:18 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	Error codes for queueing functions
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/23/01
 *
 *-----------------------------------------------------------------
 */

#ifndef _QUEUE_ERROR_H
#define _QUEUE_ERROR_H

#define Q_ERR_NO_AVAILABLE_QUEUE		(QUEUE_ERROR_BASE+0)
#define Q_ERR_NO_AVAILABLE_NODE			(QUEUE_ERROR_BASE+1)
#define Q_ERR_INVALID_QUEUE				(QUEUE_ERROR_BASE+2)
#define Q_ERR_EMPTY_QUEUE				(QUEUE_ERROR_BASE+3)
#define Q_ERR_ITEM_NOT_PRESENT			(QUEUE_ERROR_BASE+4)

#endif	/* _QUEUE_ERROR_H */

