/*
 *------------------------------------------------------------------------------
 *
 * Name:	raid_debug.h
 *
 * RCS:		$Id: raid-debug.h,v 1.1 2002/04/26 03:39:15 raster Exp $
 *
 * Copyright (C) 2001, 2002 Agile Storage Inc.
 *
 * Description:	RAID config manager debug definitions
 *
 * Created by:	Radek Aster
 *
 * Date Created: 4/16/02
 *
 *------------------------------------------------------------------------------
 */

#ifndef __RAID_DEBUG_H__
#define __RAID_DEBUG_H__

extern int raid_dbg_level;

#define P printf

#ifdef DEBUG
#define RAID_DBG(level, line) \
	if (raid_dbg_level >= level) printf line
#else
#define	RAID_DBG(level, line)
#endif

#endif /* __RAID_DEBUG_H__ */
