/*
 *-----------------------------------------------------------------
 *
 * Name:	sbm-error.h
 *
 * RCS:  $Id: sbm-error.h,v 1.2 2002/08/13 18:17:49 rick Exp $
 *
 * Copyright (C) 2002, Agile Storage Inc.
 *
 * Description:	Error code definitions for SAC Buffer Management module
 *
 * Created by:	Rick Lund
 *
 * Date Created:	8/7/02
 *
 *-----------------------------------------------------------------
 */

#ifndef _SBM_ERROR_H
#define _SBM_ERROR_H

#define SBM_ERR_INIT_NO_MEM			(SBM_ERROR_BASE+1)
#define SBM_ERR_INVALID_COD			(SBM_ERROR_BASE+2)
#define SBM_ERR_CHKSUM_FAILED		(SBM_ERROR_BASE+3)
#define SBM_ERR_BAD_LEN				(SBM_ERROR_BASE+4)

#endif	/* _SBM_ERROR_H */

