/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: sbm-hash.h,v 1.3 2002/01/30 22:49:01 bobonfrogger Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:
 *
 *-----------------------------------------------------------------
 */

#ifndef _SBM_HASH_H
#define _SBM_HASH_H

typedef struct sbm_hash_node {
	uint32		hmt_index;
	uint32		resv;
	nfx_cod_t	COD;
} sbm_hash_node_t;

typedef struct sbm_hash_node_stack {
	sbm_hash_node_t		** stack;
	uint32				top;
} sbm_hash_node_stack_t;


/*------------------------------------------------------------------*/

void sbm_hashInit();

void sbm_hashNodeStackPush( sbm_hash_node_t	* node_addr);

sbm_hash_node_t	* sbm_hashNodeStackPop();

uint32 sbm_hashFunc(uint32 key);

int32 sbm_hashCODCompare(	sbm_hash_node_t * ht_data,
							sbm_hash_node_t * search_data);

void sbm_hashRelease(sbm_hash_node_t * data);

#endif	/* _SBM_HASH_H */

