/*
 *------------------------------------------------------------------------------
 *
 * Name:	scsi_debug.h
 *
 * RCS:		$Id: scsi-debug.h,v 1.1 2002/10/25 00:02:32 raster Exp $
 *
 * Copyright (C) 2001, 2002 Agile Storage Inc.
 *
 * Description:	SCSI debug definitions
 *
 * Created by:	Radek Aster
 *
 * Date Created: 10/21/02
 *
 *------------------------------------------------------------------------------
 */

#ifndef __SCSI_DEBUG_H__
#define __SCSI_DEBUG_H__

extern int scsi_dbg_level;

#ifdef DEBUG
#define SCSI_DBG(level, line) \
	if (scsi_dbg_level >= level) printf line
#else
#define	SCSI_DBG(level, line)
#endif

#define P printf

#endif /* __SCSI_DEBUG_H__ */
