/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: env-ui.c,v 1.2 2002/03/19 18:08:47 rick Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	3/2/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <exports/seep-api.h>
#include <exports/env-api.h>
#include "seep.h"

/*-----------------------------------------------------------------
 * Name:
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	3/2/02
 *
 *-----------------------------------------------------------------
 */
int32
do_seepenv(
	uint32	argc,
	uchar8	* argv[]
)
{
	int32	key;

	if (!strcmp(argv[1], "view"))
		seepenv_show();
	else if (!strcmp(argv[1], "reset"))
		seepenv_reset();
	else if (!strcmp(argv[1], "set")) {
		if (argc != 4) {
			printf("env set <key> <value>\n");
			return 0;
		}
		if (seepenv_get_key(argv[2], &key) != NFX_OK) {
			printf("Invalid key, %s\n", argv[2]);
			return 0;
		}
		seepenv_set(key, argv[3]);
	}
	else
		return -1;

	return 0;
}

