/*
 *-----------------------------------------------------------------
 *
 * Name:	serio-api.h
 *
 * RCS:  $Id: serio-api.h,v 1.1.1.1 2002/01/10 20:44:52 frank Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/14/01
 *
 *-----------------------------------------------------------------
 */

#ifndef _SERIO_API_H
#define _SERIO_API_H

#if defined(EVAL_BOARD) || defined(AGILE_HARDWARE)

#include <exports/serio-error.h>

#define OP_INIT		1
#define OP_RXRDY	2
#define OP_TXRDY	3
#define OP_RX		4
#define OP_TX		5
#define OP_BAUD		6
#define OP_RXSTOP	7
#define OP_FLUSH	8
#define OP_RESET	9


/*-----------------------------------------------------------------
 * Name:
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:
 *
 *-----------------------------------------------------------------
 */
int32
putchar(
	int32	ch
);

int32
tty1_putchar(
	int32	ch
);

/*-----------------------------------------------------------------
 * Name:
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:
 *
 *-----------------------------------------------------------------
 */
int32
getchar();

int32
tty1_getchar();

/*-----------------------------------------------------------------
 * Name:
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:
 *
 *-----------------------------------------------------------------
 */
int32
char_avail();

int32
tty1_char_avail();

#endif	/* EVAL_BOARD || AGILE_HARDWARE */

#endif	/* _SERIO_API_H */
		
