/*------------------------------------------------------------------------------
 * RCS:  $Id: stats.h,v 1.3 2002/11/08 22:05:22 syen Exp $
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Name         : stats.h
 *
 * Description  : 
 *
 * Created by   : Shyh-Pei Yen
 *
 * Date Created : 10/22/02
 *
 *------------------------------------------------------------------------------
 */

#ifndef _STATS_H_
#define _STATS_H_

#include "nfx-incl.h"

#include "exports/debug.h"
#include "exports/eee-desc.h"
#include "exports/eee-error.h"
#include "exports/eee-app.h"
#include "exports/eee-drv.h"
#include "exports/malloc-api.h"
#include "exports/cm-api.h"

#include "stats-api.h"

#if defined(NFP_TXRX)
#include "stats-txrx.h"
#elif defined(NFP_FP)
#include "stats-fp.h"
#elif defined(FCNIM)
#include "stats-fc.h"
#elif defined(SSC_MGMT)
#include "stats-sscmgmt.h"
#endif

// Global variables

extern uint32			statsAgentPort;
extern int32			statsAppId;
extern nfx_spinlock_t	stats_lock;
#if 1
// This variable should be removed for formal release
extern int				collect_data;
#endif

#endif	// _STATS_H_
