// vi:ts=4
#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "exports/ipmd-lib.h"

#define ARPCNT 1024
extern int
main(int argc, char *argv[])
{
	ipm_arp_t buf[ARPCNT];
	int rtncnt;
	int need;
	int rc;
	struct in_addr ad;

	if (argc !=2)
		exit(1);

	rc = ipmd_GetL2ConnEntCluster (0, buf, ARPCNT, &rtncnt, &need, argv[1]);

	printf ("rc %d rtncnt %d\n", rc, rtncnt);

	if (rc > 0) {
		for (rc = 0; rc < rtncnt; rc++) {
			ad.s_addr = buf[rc].arp_addr;
			printf ("%s sees %s\n", buf[rc].arp_ifname, inet_ntoa (ad));
		}
	}

	exit (0);
}
