// vi:ts=4

#include <stdio.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "exports/anpssc-api.h"
#include "ncm-api.h"

extern int
main(int argc, char *argv[])
{
	ncmRqNodeList_t rq;
	long long buf[1024];
	ncmNodeList_t *lst = (ncmNodeList_t *)buf;
	int rsz;
	int i;

	rq.msgType = NCM_RQ_NODE_LIST;
	rsz = sendAgileMsg (-1, &rq, sizeof (rq),
	              "ncm", NFX_SSC_UNIX, SSC_SLOT, MGMTPLANE,
	              NULL, buf, sizeof(buf));

	printf ("size returned %d. Num nodes %d\n", rsz, lst->numConnNodes);

	for (i = 0; i < lst->numConnNodes; i++) {
		printf ("Node: %s\n", lst->nodeNames[i]);
	}
	return 0;
}
