/* vi:ts=4
*/
#include <stdlib.h>
#include <stdio.h>

#include "licman-api.h"

extern int
main(int argc, char *argv[])
{
	int prod;
	int swRev;

	if (argc != 3) {
		printf ("Usage: %s SWProd# SWRev#\n", argv[0]);
		return 1;
	}

	printf ("hostid %x\n", gethostid());
	prod = atoi (argv[1]);
	swRev = atoi (argv[2]);

	if (licman_is_valid(prod, swRev)) {
		printf ("Valid\n");
	}
	else {
		printf ("Not Valid\n");
	}
	return 0;
}
