#!/usr/bin/perl

# This program, err... script, takes the NFX NIS configuration file as
# STDIN and executes the necessary ypset commands to tell ypbind where
# the NIS servers are.

use strict;

my (@things);
my ($cmd);

# Ignoring all comment lines, extract the domain name and its server
# and run ypset to specify its server.

while(<STDIN>) {
	if (!/^#/) {
		chop;
		@things = split (/[ \t]+/);

# This requires that ypset be in /usr/sbin

		$cmd = "/usr/sbin/ypset -d $things[1] $things[2]\n";
#		print $cmd;
		system("$cmd") && exit 1;
	}
}
