/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name: cfgrules-api.h
 *
 * RCS:  $Id: cfgrules-api.h,v 1.1 2002/09/30 16:16:21 gregs Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description: Contains the method prototypes for config rule checks
 *              living in libopt
 *
 * Created by:	Greg Seibert
 *
 * Date Created: 27 Sep 2002
 *
 *-----------------------------------------------------------------
 */
#if !defined (__cfgrules_api_h)
#define __cfgrules_api_h

/* Rule enforcement for cluster configuration */

#include "exports/evm-api.h"	// For evm_volId_t definition. Can't be @ top
extern int ok_to_online (evm_volId_t lv, char *on_node);

#endif
