// vi:ts=4
#include <stdio.h>
#include <sys/types.h>
#include <stdlib.h>
#include <limits.h>

#include "exports/cfgrules-api.h"

extern int
main (int argc, char *argv[])
{
	evm_volId_t lv;

	if (argc != 3) {
		fprintf (stderr, "Usage: %s lvid node\n", argv[0]);
		exit (1);
	}

	lv.whole_thing = strtouq (argv[1], NULL, 16);

	printf ("lv %s be online there\n", 
	ok_to_online (lv, argv[2]) ? "can" : "cannot");
	
	exit (0);
}
