
PATH_TO_EXPORTS		= ${PATH_TO_ROOT}/Includes/exports/${TARGET}/exports
PATH_FROM_EXPORTS	= ../../../../code/${MODULE}

.PHONY: export

export: ${EXPORT_INCLUDES}
	@for exp in ${EXPORT_INCLUDES};  \
	do  \
		if [ -s ${PATH_TO_EXPORTS}/$$exp ];	\
		then	\
			 echo "${PATH_TO_EXPORTS}/$$exp already exists";	\
		else	\
			echo "Linking ${PATH_FROM_EXPORTS}/$$exp --> $$exp";	\
			ln -s ${PATH_FROM_EXPORTS}/$$exp ${PATH_TO_EXPORTS}/;  \
		fi;	\
	done

