/*
 *-----------------------------------------------------------------
 *
 * Name:	jmptbl.h
 *
 * RCS:  $Id: jmptbl.h,v 1.2 2001/11/02 20:16:16 swang Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	Entry point into PROM routines for runtime code
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/18/01
 *
 *-----------------------------------------------------------------
 */

#ifndef _JMPTBL_H
#define _JMPTBL_H

#define JMPTBL_ADDR		0xBFC00600

#ifdef PROM

/*
 * NOTE:  AFTER MODIFYING THIS FILE, SM-ENTRY/ MUST BE RECOMPILED!
 *
 */
	.word	cliexit					/* 0x0 */
	.word	onintr					/* 0x4 */
	.word	get_promver				/* 0x8 */
	.word	get_mem_size			/* 0xC */
	.word	get_shmem_size			/* 0x10 */
	.word	0						/* 0x14 */
	.word	0						/* 0x18 */
	.word	0						/* 0x1C */
	.word	0						/* 0x20 */
	.word	0						/* 0x24 */
	.word	0						/* 0x28 */
	.word	0						/* 0x2C */
	.word	0						/* 0x30 */
	.word	0						/* 0x34 */
	.word	0						/* 0x38 */
	.word	0						/* 0x3C */
	.word	0						/* 0x40 */
	.word	0						/* 0x44 */
	.word	0						/* 0x48 */
	.word	0						/* 0x4C */
	.word	0						/* 0x50 */
	.word	0						/* 0x54 */
	.word	0						/* 0x58 */
	.word	0						/* 0x5C */
	.word	0						/* 0x60 */
	.word	0						/* 0x64 */
	.word	0						/* 0x68 */
	.word	0						/* 0x6C */
	.word	0						/* 0x70 */
	.word	0						/* 0x74 */
	.word	0						/* 0x78 */
	.word	0						/* 0x7C */
	.word	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	.word	0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

/*
 * Table should end at 0xBFC00700
 */

#endif	/* PROM */

#endif	/* _JMPTBL_H */

