/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: printf.c,v 1.1.1.1 2001/10/12 19:56:53 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	10/7/01
 *
 *-----------------------------------------------------------------
 */
/* $Id: printf.c,v 1.1.1.1 2001/10/12 19:56:53 rick Exp $ */
#include <pmon/stdio.h>
#include <mips/stdarg.h>

/** printf(fmt,va_alist) print formatted output to stdout */
int 
printf (const char *fmt, ...)
{
    int             len;
    va_list	    ap;

    va_start(ap, fmt);
    len = vfprintf (stdout, fmt, ap);
    va_end(ap);
    return (len);
}
