/*
 *-----------------------------------------------------------------
 *
 * Name:	hssubr.S
 *
 * RCS:  $Id: hssubr.S,v 1.1.1.1 2001/12/31 19:35:32 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	10/30/01
 *
 *-----------------------------------------------------------------
 */


#include <sys/mips.h>

#define HAZARD ssnop ; ssnop ; ssnop ; ssnop ; ssnop ; ssnop ; ssnop 


LEAF(hs_read8)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		lb	v0,(a0)
		and	v0,0xFF

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_read8)


LEAF(hs_read16)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		lh	v0,(a0)
		and	v0,0xFFFF

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_read16)


LEAF(hs_read32)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		lw	v0,(a0)
		and	v0,0xFFFFFFFF

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_read32)


LEAF(hs_read64)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		ld	v0,(a0)

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_read64)


LEAF(hs_write8)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		sb	a1,(a0)

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_write8)


LEAF(hs_write16)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		sh	a1,(a0)

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_write16)


LEAF(hs_write32)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		sw	a1,(a0)

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_write32)


LEAF(hs_write64)
		mfc0	t2,C0_SR
		or		t1,t2,SR_KX
		mtc0	t1,C0_SR
		HAZARD

		sd	a1,(a0)

		mtc0	t2,C0_SR
		HAZARD
		j	ra
END(hs_write64)

