#include <stdio.h>
#include "anpssc-api.h"


int
main()
{
	int fd;
	char fromApp[256];
	int n;
	char buf[4096];
	struct timeval to;
	int fcpu, fslot, fplane;

	fd = regAgileApp("evm");

	if (fd < 0) {
		perror ("error from regAgileApp");
		exit(1);
	}

	to.tv_sec = 5;
	to.tv_usec = 0;

	while(1) {
		if ((n=recvAgileMsg (fd, buf, sizeof(buf), &to, fromApp, &fcpu, 
		                     &fslot, &fplane)) < 0) {
			perror ("error from recvAgileMsg");
			exit(1);
		}

		if (!n) {
			printf("recvAgileMsg timeout\n");
		}
		else {
			printf("From :%s: got %d\n", fromApp, n);
	
			memcpy (buf, "Response", 8);

			if (sendAgileMsg(-1, buf, n, fromApp, fcpu, fslot, fplane, NULL, 0, 0) < 0) {
				perror("sendAM error");
			}
		}
	}
}
