/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Copyright (C) 2001, Agile Storage Inc.
 * 
 * RCS:  $Id: cifs-cfg.h,v 1.1.1.1 2002/04/23 17:41:16 laurentb Exp $
 *
 * Name			: cifs-cfg.h
 *
 * Description	: cifs configuration definitions
 *
 * Created by	: Laurent Brard
 *
 * Date Created	: 11/07/2001
 *
 *-----------------------------------------------------------------
 */
#ifndef _CIFS_CFG_H
#define _CIFS_CFG_H

#define CIFSTEST_IPADDR		0x0a0000f0
#define CIFSTEST_NETMASK	0xFFFFFF00
#define CIFSTEST_OPTIONS	(CIFS_SVCFG_ENCRYPTPWD)
#define CIFSTEST_CAPAS		(CAP_UNICODE|CAP_LARGE_FILES|CAP_NT_SMBS \
							|CAP_RPC_REMOTE_APIS/*|CAP_NT_FIND*/)
#define CIFSTEST_DOMAIN		"CIFSTEST" 
#define CIFSTEST_SVNAME		"NFX"
#define CIFSTEST_SVCOMMENT	"NFX CIFS server by Agile Storage Inc."


int32   //NFX_OK or NFX_ERR
cifs_loadCfg(void);


#endif	//_CIFS_CFG_H

