/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Copyright (C) 2001, Agile Storage Inc.
 * 
 * RCS:  $Id: cifs-dc.h,v 1.1.1.1 2002/04/23 17:41:16 laurentb Exp $
 *
 * Name			: cifs-dc.h
 *
 * Description	: Contains functions that send requests from CIFS
 *				  servers to a domain controller (via SSC).
 *
 * Created by	: Xiaobing Zhang
 *
 * Date Created	: 24/01/2002
 *
 *-----------------------------------------------------------------
 */
#ifndef _CIFS_DC_H
#define _CIFS_DC_H

int32 cifs_authReqToSsc(cifs_operation *opP);

void cifs_msgRcv(eee_desc_t *eDescp);

void cifs_showUserCreds(cifs_session *ssP, cifsauthCred_t *c);

#endif /* _CIFS_DC_H */

