#ifndef __CRASH_H
#define __CRASH_H

extern void *eee_crash_ramAlloc(uint32 size);
extern void *eee_crash_ramAllocAligned(uint32 size);
extern void *eee_crash_allocateBuffer(uint32 pool, uint32 size, uint32 cos);
extern void eee_crash_deallocateBuffer(uchar8 *buf);
extern eee_desc_t *eee_crash_allocateDesc(uint32 pool, uint32 cos);
extern void eee_crash_deallocateDesc(eee_desc_t *desc);
extern void eee_crash_freePacket(eee_desc_t *desc);
extern void eee_crash_receivePacket(eee_desc_t *desc);

#define CRASH_MALLOC_SIZE (1024 * 1024)
#define CRASH_MALLOC_ALIGN 64
#define CRASH_BUFFERS 1000
#define CRASH_DESCRIPTORS 200

#endif
