/*
 *-----------------------------------------------------------------
 *
 * Name:	eee-api.h
 *
 * RCS:  $Id: eee-api.h,v 1.9 2002/11/07 01:20:02 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	includes include files that contain API prototypes,
 *				typedefs, defines, macros, etc.
 *
 * Created by:	Rick Lund
 *
 * Date Created:	4/10/01
 *
 *-----------------------------------------------------------------
 */

#ifndef _EEE_API_H
#define _EEE_API_H

#include <exports/eee-desc.h>
#include <exports/eee-ipc.h>
#include <exports/eee-app.h>
#include <exports/eee-attr.h>
#include <exports/eee-queue.h>
#include <exports/eee-fwd.h>
#include <exports/eee-poll.h>
#include <exports/eee-drv.h>
#include <exports/eee-error.h>
#include <exports/eee-rq.h>
#include <exports/eee-mem.h>
#include <exports/eee-test.h>
#include <exports/eee-platform.h>
#if !defined(__OpenBSD__)
#if defined(EEE_VALIDATE)
#include <exports/eee-validate.h>
#endif
#include <exports/eee-inlines.h>
#include <exports/eee.h>
#endif


extern void eee_init(uint32 pass);

#endif	/* _EEE_API_H */


