/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: excodes.c,v 1.4 2002/04/23 02:33:44 bobonfrogger Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	4/4/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include "except-api.h"
#include "except.h"

#ifndef PROM

uchar8 *	excodes[] = {
#ifdef R7000
	"Int",		"MOD",		"TLBL",		"TLBS",
	"AdEL",		"AdES",		"IBE",		"DBE",
	"Sys",		"Bp",		"RI",		"CpU",
	"Ovf",		"Trap",		"Resv14",	"FPE",
	"IWatch",	"Resv17",	"Resv18",	"Resv19",
	"Resv20",	"Resv21",	"Resv22",	"DWatch",
	"Resv24",	"Resv25",	"Resv26",	"Resv27",
	"Resv28",	"Resv29",	"CacheErr",	"Resv31",
#endif

#ifdef SB1250
	"Int",		"MOD",		"TLBL",		"TLBS",
	"AdEL",		"AdES",		"IBE",		"DBE",
	"Sys",		"Bp",		"RI",		"CpU",
	"Ovf",		"Trap",		"VCEI",		"FPE",
	"Cp2",		"Resv17",	"Resv18",	"Resv19",
	"Resv20",	"Resv21",	"Resv22",	"Watch",
	"Resv24",	"Resv25",	"Resv26",	"Resv27",
	"Resv28",	"Resv29",	"CacheErr",	"VCED",
#endif

#ifdef TX3927
	"Int",		"MOD",		"TLBL",		"TLBS",
	"AdEL",		"AdES",		"IBE",		"DBE",
	"Sys",		"Bp",		"RI",		"CpU",
	"Ovf",		"Resv13",	"Resv14",	"Resv15",
	"Resv16",	"Resv17",	"Resv18",	"Resv19",
	"Resv20",	"Resv21",	"Resv22",	"Resv23",
	"Resv24",	"Resv25",	"Resv26",	"Resv27",
	"Resv28",	"Resv29",	"Resv30",	"Resv31",
#endif
	0
};

#endif
uchar8 *	gpr_regs[] = {
	"zero",	"at",	"v0",	"v1",	"a0",	"a1",	"a2",	"a3",
	"t0",	"t1",	"t2",	"t3",	"t4",	"t5",	"t6",	"t7",
	"s0",	"s1",	"s2",	"s3",	"s4",	"s5",	"s6",	"s7",
	"t8",	"t9",	"k0",	"k1",	"gp",	"sp",	"fp",	"ra",
};

#ifdef R4000
uchar8 *	cp0_regs[] = {
	"HI", "LO", "ENTRYHI", "ENTRYLO0", "INDEX", "RANDOM", "SR", "CAUSE",
	"EPC", "CONTEXT", "BADVA", "PRID", "K1TMP", "ENTRYLO1", "PGMASK", "WIRED",
	"CONFIG", "LLADDR", "WATCHLO", "WATCHHI", "ECC", "CACHERR", "TAGLO","TAGHI",
	"ERREPC", "XCONTEXT", "WATCHMASK", "ICR", "IPLLO", "IPLHI", "INFO",
};
#endif

#ifdef TX3927
uchar8 *	cp0_regs[] = {
	"HI", "LO", "ENTRYHI", "ENTRYLO0", "INDEX", "RANDOM", "SR", "CAUSE",
	"EPC", "CONTEXT", "BADVA", "PRID", "K1TMP", "CONFIG", "PGMASK", "WIRED",
	"CACHE", "DEBUG", "DEPC", "TAGLO",
};
#endif

