/*
 * Name:  fs-benchmark.h
 *
 * RCS:  $Id: fs-benchmark.h,v 1.3 2002/10/22 01:30:33 jong Exp $
 *
 * Description:  Benchmark I/O Header file
 * 
 * Created By:  Rahul Khona
 *
 * Date Created:  7/22/2002
 */

#ifndef FS_BENCHMARK_H
#define FS_BENCHMARK_H
typedef struct fs_BenchMarkIoDesc{
    esm_handle_t    wakeupHandle;
    int             ioCount;
    eeeRTC_t        startTime;
    eeeRTC_t        duration;
    nfx_spinlock_t  spin;
} fs_BenchMarkIoDesc_t;

typedef struct fs_MsgBenchMarkReq {
    fs_MsgReqHdr        hdr;
    evm_volId_t         volId;
    uint32              off;
    uint32              len;
    int32               read;
} fs_MsgBenchMarkReq;

typedef struct fs_MsgBenchMarkResp {
    fs_MsgRespHdr       hdr;
    eeeRTC_t            time;
	uint64              count_per_usec;
} fs_MsgBenchMarkResp;
#endif  //FS_BENCHMARK_H
