/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: bsp-api.h,v 1.3 2002/11/07 01:18:51 rick Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	10/14/02
 *
 *-----------------------------------------------------------------
 */

#ifndef _BSP_API_H
#define _BSP_API_H

#define BSP_TIMER_PROFILER	3

/*
 * Timer functions
 */
void timer_start_us(uint32 timer_num,
					uint32 us,
					void (*int_func)(uint32, uint32, address_t));
void timer_stop(uint32 timer_num);
void timer_int_clear(uint32 timer_num);

/*
 * Exception functions
 */
void
ecc_error_exc(
    uint32  sr,
    uint32  cause,
    address_t   epc
);

#endif	/* _BSP_API_H */

