/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: mem-api.h,v 1.5 2002/10/10 02:07:50 raster Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/20/02
 *
 *-----------------------------------------------------------------
 */

extern uint64	memorysize;
extern uint32	memorysize_MB;
extern uint32	pcisize;

int32 is_valid_addr(address_t adr);

address_t
virt_to_phys(
	address_t	virt
);

address_t
phys_to_virt_cached(
	address_t	phys
);

address_t
phys_to_virt_uncached(
	address_t	phys
);

address_t
uncached_to_cached(
	address_t	uncached
);

address_t
cached_to_uncached(
	address_t	cached
);

