/*
 *-----------------------------------------------------------------
 *
 * Name:	Panic.c
 *
 * RCS:  $Id: Panic.c,v 1.9 2002/10/17 20:08:19 johnh Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/14/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <exports/except-api.h>

uchar8	panic_buf[256];

uchar8	_panic_print_string[] = "Panic: %s, file %s, line %s\n";

/*-----------------------------------------------------------------
 * Name:
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:
 *
 *-----------------------------------------------------------------
 */
void
dummy()
{
}

/*-----------------------------------------------------------------
 * Name:	Panic()
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/14/01
 *
 *-----------------------------------------------------------------
 */
void
#ifdef SSC
panic
#else
panic_service
#endif
(
	char8	* fmt,
	...
)
{
	va_list	ap;
	int32	len;

	va_start(ap, fmt);

	len = vsprintf(panic_buf, fmt, ap);

	va_end(ap);

	printf("PANIC: %s\n", panic_buf);

	dummy();

#ifndef SSC
	exception_panic(panic_buf);
#endif

#ifdef LINUX_TEST
    abort();
#endif

}	/* Panic() */

