/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name:	ntoh.c
 *
 * RCS:  $Id: ntoh.c,v 1.2 2001/11/13 18:28:20 shaun Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: Contains Netowork to Host conversion utilities.
 *
 * Created by:	Shaun Hui
 *
 * Date Created: 11/01/2001
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

uint32 ntohl( uint32 tmp )
{
    uint32  val;

    val = ((tmp & 0xFF000000) >> 24) | ((tmp & 0x00FF0000) >> 8 ) |
          ((tmp & 0x0000FF00) << 8 ) | ((tmp & 0x000000FF) << 24);

    return val;
}

ushort16 ntohs( ushort16 tmp )
{
    ushort16  val;

    val = ((tmp & 0xFF00) >> 8 ) | ((tmp & 0x00FF) << 8);

    return val;
}

