/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: strcat.c,v 1.2 2002/10/18 02:52:42 johnh Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: concatenate src string to dst string
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/7/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strcat (
	char8	    *dst,
	const char8	*src
)
{
	char8	* d;

	if (!dst || !src)
		return (dst);

	d = dst;

	for (; *d; d++);

	for (; *src; src++)
		*d++ = *src;

	*d = 0;

	return (dst);

}	/* strcat() */

