/*
 *-----------------------------------------------------------------
 *
 * Name:	strcmp.c
 *
 * RCS:  $Id: strcmp.c,v 1.2 2002/10/18 02:52:42 johnh Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: return < 0, 0, or > 0
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/31/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

int32 
strcmp(
	const char8	* str1,
	const char8	* str2
)
{
	while (*str1 && *str2) {
		if (*str1 > *str2)
			return 1;
		else if (*str1 < *str2)
			return -1;

		str1++; str2++;
	}

	if ((*str1 == 0) && (*str2 == 0))
		return (0);
	else if (*str1)
		return -1;
	else
		return 1;

}	/* strcmp() */

