/*
 *-----------------------------------------------------------------
 *
 * Name:	strcpy.c
 *
 * RCS:  $Id: strcpy.c,v 1.2 2001/08/29 18:24:21 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/7/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char *
strcpy (
		char		* dstp,
		const char	* srcp
)
{
	char8	* dp = dstp;

	if (!dstp)
		return (0);

	*dp = 0;

	if (!srcp)
		return (dstp);

	while ((*dp++ = *srcp++) != 0);

	return (dstp);

}	/* strcpy() */

