/*
 *-----------------------------------------------------------------
 *
 * Name:	strequ.c
 *
 * RCS:  $Id: strequ.c,v 1.1.1.1 2001/07/04 00:17:13 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: return 1 if s1 matches s2 else returns 0
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/31/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

int32 
strequ(
	char8	* str1,
	char8	* str2
)
{
	if (!str1 || !str2)
		return (0);

	while (*str1)
		if (*str1++ != *str2++)
			return (0);

	if (*str2 == 0)
		return (1);

	return (0);

}	/* strequ() */

