/*
 *-----------------------------------------------------------------
 *
 * Name:	strposn.c
 *
 * RCS:  $Id: strposn.c,v 1.1.1.1 2001/07/04 00:17:14 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	 returns a ptr to q in p, else 0 if not found
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/31/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strposn (
	char8	* p,
	char8	* q
)
{
	char8	* s, * t;

	if (!p || !q)
		return (0);

	if (!*q)
		return (p + strlen (p));

	for (; *p; p++) {
		if (*p == *q) {
			t = p;
			s = q;
			for (; *t; s++, t++) {
				if (*t != *s)
					break;
			}
			if (!*s)
				return (p);
		}
	}
    return (0);

}	/* strposn() */

