/*
 *-----------------------------------------------------------------
 *
 * Name:	strrchr.c
 *
 * RCS:  $Id: strrchr.c,v 1.2 2002/11/26 22:48:14 bob Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	9/19/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

/** char *strrchr(p,c) return a ptr to last c in p, return NUL if not found */
char           *
strrchr (p, c)
     char           *p, c;
{
    int             i;

    if (!p)
	return (0);

    for (i = strlen (p); i >= 0; i--)
	if (p[i] == c)
	    return (&p[i]);
    return (0);
}

char           *
strnrchr (p, c, n)
     char           *p, c;
     int            n;
{
    int             i;

    if (!p)
	return (0);

    if (n <= 0)
    return (0);

    for (i = n-1; i >= 0; i--) {
	    if (p[i] == c)
	        return (&p[i]);
    }
    return (0);
}
