/*
 *-----------------------------------------------------------------
 *
 * Name:	toupper.c
 *
 * RCS:  $Id: toupper.c,v 1.2 2001/11/06 19:36:12 bob Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	translate c to uppercase
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/7/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

int32 
toupper (
	int32	c
)
{
	if (islower (c))
		return (c - ('a' - 'A'));

	return (c);

}	/* toupper() */

int32 
tolower (
	int32	c
)
{
	if (isupper (c))
		return (c + ('a' - 'A'));

	return (c);

}	/* tolower() */

