/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name:         lock-debug.h
 *
 * RCS:  $Id: $
 *
 * Copyright (C) 2002, ClariStor Inc.
 *
 * Description:  Byte range lock debugging and trace utility functions
 *               prototypes.
 *
 * Created by:   Xiaobing Zhang
 *
 * Date Created: 01/10/2003
 *
 *-----------------------------------------------------------------
 */
#ifndef _LOCK_DEBUG_H
#define _LOCK_DEBUG_H

/*--------------------
 * Function prototypes
 *--------------------
 */
void
lock_showLockList(vs_mem_index_t    listHeadIdx,
				  uint8             listType,
				  char              *indentation);

void
lock_showFileLock(vs_mem_index_t fileLockIdx);

void
lock_showStats(void);

void
lock_clearStats(void);

#endif /* _LOCK_DEBUG_H */
