/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * RCS:  $Id: nb-test.h,v 1.1.1.1 2002/04/23 17:52:14 laurentb Exp $
 *
 * Name			: nb-test.h
 *
 * Description	: Contains NetBIOS test definitions.
 *
 * Created by	: Xiaobing Zhang
 *
 * Date Created	: 11/28/2001
 *
 *-----------------------------------------------------------------
 */
#ifndef _NB_TEST_H
#define _NB_TEST_H

void nbtest_setSrvCb();

void nbtest_iRegRsp();

void nbtest_iRefRsp();

int32 nbtest_oReleaseReqCallback();

void nbtest_oReleaseReq();

void nbtest_oRegRsp();

void nbtest_oQueryRsp();

void nbtest_oReleaseRsp();

void nbtest_iRegReq();

void nbtest_iReleaseReq();

void nbtest_iReleaseRsp();

void nbtest_oQueryReqCallback(uint16 ipAddrCnt,
							  uint32 *ipAddr,
							  void *userInfo,
							  int32 status);

void nbtest_oQueryReq(int number);

void nbtest_iQueryRsp();

void nbtest_iQueryReq();

void nbtest_iWackRsp();

void nbtest_iSsnReq();

void nbtest_oSsnData();

void nbtest_iSsnData();

void nbtest_iKeepAlive();

void nbtest_endss();

void nbtest_odgm();

#endif /* _NB_TEST_H */
