/*
 * Name:  fs-opt-api.h
 *
 * RCS:  $Id: fs-opt-api.h,v 1.1 2002/09/15 00:52:49 nagarajs Exp $
 *
 * Description:  prototypes of cluster api routines for fs administration.
 * 
 * Created By:  Nagaraj Shyam
 *
 * Date Created:  9/14/2002
 */
#ifndef _FS_OPTAPI_H
#define _FS_OPTAPI_H

extern int32
fs_opt_lltostr (char *str, int64 ll);
extern int32
fs_opt_get_clus_vol_id (char *volName, evm_volId_t *volId);
extern int32
fs_opt_get_clus_lvol_online_node (evm_volId_t volId, char *nodeName);
extern int32
fs_opt_get_clus_vol_mkfs_numblks (evm_volId_t volId, uint64 *numBlks);
extern int32
fs_opt_get_clus_vol_online_node (evm_volId_t volId, char *nodeName);

#endif
