/*
 *------------------------------------------------------------------------------
 *
 * Name:	raid-parse-logpage.h
 *
 * RCS:		$Id: raid-parse-logpage.h,v 1.1 2002/10/23 18:37:03 nitinb Exp $
 *
 * Copyright (C) 2001, 2002 Agile Storage Inc.
 *
 * Created by:	Nitin Bahadur
 *
 * Date Created: 16 Oct, 2002
 *
 *------------------------------------------------------------------------------
 */

#ifndef __RAID_PARSE_LOGPAGE_H_
#define __RAID_PARSE_LOGPAGE_H_

#include <nfx-types.h>

#define SWAP8(_p_) \
	{ \
		  *((uint64 *)(_p_)) = (((*((uint64 *)(_p_)) >> 56) & 0x00000000000000FFLL) | \
				        ((*((uint64 *)(_p_)) >> 40) & 0x000000000000FF00LL) | \
				        ((*((uint64 *)(_p_)) >> 24) & 0x0000000000FF0000LL) | \
				        ((*((uint64 *)(_p_)) >>  8) & 0x00000000FF000000LL) | \
				        ((*((uint64 *)(_p_)) <<  8) & 0x000000FF00000000LL) | \
				        ((*((uint64 *)(_p_)) << 24) & 0x0000FF0000000000LL) | \
				        ((*((uint64 *)(_p_)) << 40) & 0x00FF000000000000LL) | \
				        ((*((uint64 *)(_p_)) << 56) & 0xFF00000000000000LL)); \
	}

void	raid_parse_logpage_list_rsp(uint32, char *);
void	raid_parse_logpage_error_rsp(uint32, uint32, char *, int);
void	raid_parse_buffer_run_rsp(uint32, char *);
void	raid_parse_logpage_temp_rsp(uint32, char *);

#endif
