/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: busclock.c,v 1.3 2002/10/16 03:21:46 johnh Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/22/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

uint32	busclock = 0;

uint32
get_busclock()
{
#ifdef PROM
	busclock = sbdpipefreq() / 1000000;
#else
	if (busclock == 0) {
		busclock = get_busclock_mhz();
		if (busclock == 0) {			/* not yet implmented in jmptbl ? */
			busclock = 400;
		}
	}
#endif

	return busclock;
}

