/*
 *------------------------------------------------------------------------------
 *
 * Name:	scsiio_debug.h
 *
 * RCS:		$Id: scsiio-debug.h,v 1.1.1.1 2002/03/22 01:37:50 raster Exp $
 *
 * Copyright (C) 2001, 2002 Agile Storage Inc.
 *
 * Description:	SCSI IO debug definitions
 *
 * Created by:	Radek Aster
 *
 * Date Created: 3/21/02
 *
 *------------------------------------------------------------------------------
 */

#ifndef __SCSIIO_DEBUG_H__
#define __SCSIIO_DEBUG_H__

extern int scsiio_dbg_level;

#ifdef DEBUG
#define SCSIIO_DBG(level, line) \
	if (scsiio_dbg_level >= level) printf line
#else
#define	SCSIIO_DBG(level, line)
#endif

#define P printf

#endif /* __SCSIIO_DEBUG_H__ */
