/*------------------------------------------------------------------------------
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Name         : stats-dbg.h
 *
 * Description  : include file for stats agent debug functions
 *
 * Created by   : Shyh-Pei Yen
 *
 * Date Created : 10/22/02
 *
 *------------------------------------------------------------------------------
 */

#ifndef _STATS_DBG_H_
#define _STATS_DBG_H_

#include "exports/elog-api.h"

// Global variables.

extern nfx_spinlock_t  evm_stat_lock;


// Constants

#define STATS_MAX_TRACESTR	128

// Function prototypes.

void
stats_trace(int32 level, char *fmt, ...);


#endif
