/*------------------------------------------------------------------------------
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Name         : stats-fc.h
 *
 * Description  : 
 *
 * Created by   : Shyh-Pei Yen
 *
 * Date Created : 10/29/02
 *
 *------------------------------------------------------------------------------
 */

#if defined(FCNIM)

#ifndef _STATS_FC_H_
#define _STATS_FC_H_

/*------------------------------------------------------------------------------
 * Global variables.
 *------------------------------------------------------------------------------
 */

/*------------------------------------------------------------------------------
 * Type definition.
 *------------------------------------------------------------------------------
 */

#define STATS_TICKS		5000		// wake up every 5 seconds

/*------------------------------------------------------------------------------
 * Function prototypes.
 *------------------------------------------------------------------------------
 */

void
init_statsCounters(void);

int32
statsTimerProc(int32 tmr_handle,
	void *usr_param1, void *usr_param2, void *usr_param3, void *usr_param4);

int32
stats_getStats(char *msgBuf, uint32 msgLen, uint32 srcPort, uint32 dstPort);

void
stats_resetCounters(char *msgBuf, uint32 msgLen, uint32 srcPort, uint32 dstPort);

#endif		// _STATS_FC_H_

#endif		// defined(FCNIM)
