/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: tlb-commands.c,v 1.5 2002/10/22 01:30:43 jong Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	12/01/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <sys/mips.h>

#ifndef LINUX_TEST

/*-----------------------------------------------------------------
 * Name:
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	12/01/01
 *
 *-----------------------------------------------------------------
 */
int32
do_tlb(
	int32	argc,
	char8	* argv[]
)
{
#if 0
	uint32	index;
	uint64	va, pa;
	uint32	size, calg;
#endif
	int32	rc = 0;
	extern void tlb_display(void);

	if (argc == 1) {
		tlb_display();
	}
#if 0
	else if (argc == 6) {
		index = atoi(argv[1]);
		va = atox(argv[2]);
		atollx(&pa, argv[3]);
		size = atox(argv[4]);
		if (strncmp(argv[5],"noncoherent",3) == 0)
#ifdef TX3927
			calg = 0;
#else
			calg = CFG_C_NONCOHERENT;
#endif
		else if (strncmp(argv[5], "coherent", 3) == 0)
#ifdef TX3927
			calg = 0;
#else
			calg = CFG_C_COHERENTXCLW;
#endif
		else
#ifdef TX3927
			calg = TLBLO_N;
#else
			calg = CFG_C_UNCACHED;
#endif


#if 0
NOTE: TX3927 uses uint32 va and pa, instead of uint64
	and atox instead of atollx
#endif

		rc = tlb_set(index, va, pa, size, calg);
	}
#endif
	else
		rc = -1;

	return rc;

}	/* do_tlb() */

#endif	/* !LINUX_TEST */

