/* vi:ts=4
*/
#include <stdio.h>

#include "exports/anpssc-api.h"

#include "tests.h"

extern int
main ()
{
	int s;
	long long buf[2048];
	unsigned char *pbuf;
	char app[256];
	int cpu;
	int slot;
	int plane;
	int i;
	int j;

	s = regAgileApp (TAPP);

	if (s < 0) {
		perror ("reg error");
		exit (1);
	}

	while (1) {
		i = recvAgileMsg (s, buf, sizeof(buf), NULL, app, &cpu, &slot, &plane);

		if (i <= 0) {
			printf ("Funky recv %d\n", i);
			if (i < 0) perror ("Errno");
			exit (1);
		}

		printf ("Got %d from %s\n", i, app);
		for (j = i, pbuf = (unsigned char *)buf; j > 0; j--, pbuf++) {
			printf ("%02x", *pbuf);
			if (!((j + 7) % 8)) printf (" ");

			*pbuf = ~(*pbuf);
		}
		printf ("\n\n");
		fflush (stdout);

		j = sendAgileMsg (s, buf, i, app, cpu, slot, plane, NULL, NULL, 0);

		if (j) {
			perror ("sendAM error");
		}
	}
}
