/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name: licman-names.h
 *
 * RCS:  $Id: licman-names.h,v 1.1 2002/01/07 17:45:20 gregs Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: Description strings of licensed products
 *
 * Created by:	Greg Seibert
 *
 * Date Created: 7 Jan 2002
 *
 *-----------------------------------------------------------------
 */
#if !defined(__licman_names_h)
#define __licman_names_h

// What we'll call them

// This array is synchornized with the product definitions in licman-api.h
// Please ensure they stay that way.

static char *lic_names[] = { 
	"0 - Invalid",
	"Basic System",			// 1
	"NDMP",					// 2
	"Clustering",			// 3
	"Agile Mirror",			// 4
	"Secure Access",		// 5
	"Agile Vision",			// 6
	"Agile Snapshot",		// 7
	"NFS File Services",	// 8
	"CIFS File Services",	// 9
	"Next - Invalid" };				// Insert new ones before this
#endif
