/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name: nfxnis-loc.h
 *
 * RCS:  $Id: nfxnis-loc.h,v 1.7 2002/08/14 16:15:11 maximk Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: Private stuff
 *
 * Created by:	Greg Seibert
 *
 * Date Created: 28 Nov 2001
 *
 *-----------------------------------------------------------------
 */
#if !defined(__nfxnis_loc_h__)
#define __nfxnis_loc_h__

#define DEFDOMAINNAME "SANfiler"

#define NFXNISCFG "/var/tmp/nfxnis.cfg"

#define SETDOMPRG "/usr/local/agile/bin/setdoms"

// Internal routines

extern int nfxnis_resolve_via_DNS (char *exp, char *host, in_addr_t *rtn);
extern int nfxnis_rebind_yp (void);
extern char *nfxnis_get_dns_srvr (in_addr_t add);

#endif
